import { LTWH } from '../types.js';
interface Coords {
    x: number;
    y: number;
}
interface Props {
    onSelection: (startTarget: HTMLElement, boundingRect: LTWH, resetSelection: () => void) => void;
    onDragStart: () => void;
    onDragEnd: () => void;
    onClick?: (startTarget: HTMLElement, containerCoords: Coords) => void;
    shouldStart: (event: MouseEvent) => boolean;
    onChange: (isVisible: boolean) => void;
}
export declare function MouseSelection({ onSelection, onDragStart, onDragEnd, shouldStart, onChange, onClick }: Props): import("react/jsx-runtime").JSX.Element;
export {};
